DF(1)

NAZWA
df - informuje o użyciu przestrzeni dyskowej systemu plików

SKŁADNIA
df [OPCJA]... [PLIK]...

OPIS
Niniejsza strona podręcznika opisuje df w wersji GNU. Program df wyświetla rozmiar przestrzeni dyskowej dostępnej w systemach plików zawierających każdy z, podanych jako argumenty, nazw plików. Jeśli nie podano żadnej nazwy pliku, pokazywana jest dostępna przestrzeń we wszystkich aktualnie zamontowanych systemach plików. Miejsce jest mierzone domyślnie w blokach po 1K, chyba że zdefiniowano zmienną środowiskową POSIXLY_CORRECT, gdy używane są bloki po 512 bajtów.

Jeśli argument jest absolutną nazwą pliku węzła urządzenia dyskowego, zawierającego zamontowany system plików, to df pokazuje ilość miejsca dostępnego w tym systemie plików, zamiast w systemie plików zawierającym węzeł urządzenia (tj. systemie root). Ta wersji df nie potrafi pokazywać miejsca dostępnego na niezamontowanych systemach plików, ponieważ w przypadku większości rodzajów systemów zrobienie tego wymaga wielce nieprzenośnej i dogłębnej wiedzy o strukturach danego systemu plików.

OPCJE

Pokazuje informacje o systemie plików, na którym znajduje się każdy z PLIKÓW lub, domyślnie, o wszystkich systemach plików.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-a, --all
    obejmuje puste (pseudo)systemy plików

-B, --block-size=ROZMIAR
    przelicza rozmiary według ROZMIARU przed ich wyświetleniem. Na przykład -BM wyświetla rozmiary w jednostkach 1 048 576 bajtów. Patrz format ROZMIARU poniżej

--total
    wyświetla podsumowanie całości

-h, --human-readable
    wyświetla rozmiary w formacie czytelnym dla ludzi (np. 1K, 234M, 2G)

-H, --si
    podobnie, ale używa potęg 1000 zamiast 1024

-i, --inodes
    wyświetla informacje o i-węzłach, zamiast o użyciu bloków

-k  jak --block-size=1K

-l, --local
    ogranicza spis do lokalnych systemów plików

--no-sync
    nie wywołuje sync przed pozyskaniem informacji o użyciu systemów plików (domyślnie)

-P, --portability
    używa formatu wyjścia zgodnego z normą POSIX

--sync
    wywołuje sync przed pozyskaniem informacji o użyciu

-t, --type=TYP
    ogranicza wyświetlane wyniki do systemów plików danego TYPU

-T, --print-type
    wyświetla typ systemów plików

-x, --exclude-type=TYP
    ogranicza wyświetlane wyniki do systemów plików poza danym TYPEM

-v  (ignorowane)

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Wartości są wyświetlane w jednostkach ROZMIARU, który jest pierwszym z podanych: opcji --block-size lub zmiennym środowiskowym DF_BLOCK_SIZE, BLOCK_SIZE, BLOCKSIZE. W przeciwnym wypadku domyślną jednostką są 1024 bajty (lub 512, jeśli ustawiono zmienną POSIXLY_CORRECT.

ROZMIAR może być jednym z następujących (opcjonalnie może być poprzedzony liczbą całkowitą): KB 1000, K 1024, MB 1000*1000, M 1024*1024, itd. dla G, T, P, E, Z, Y.

AUTOR
Napisane przez Torbjorna Granlunda, Davida MacKenzie i Paula Eggerta.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w df proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu df proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2011 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja df jest dostępna w formacie Texinfo. Jeśli programy info i df są poprawnie zainstalowane, to polecenie

    info coreutils 'df invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Przemek Borys (PTM) <pborys@dione.ids.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.13 oryginału.